VisualEditor: Newly-added references need a page save before being reusable
Closed, ResolvedPublic

Description

Apologies if this is a duplicate; I haven't found a report about this.

If you add a new reference with VisualEditor, you can't immediately reuse it with the reference editor; it doesn't show up in the list. You need to save the page and re-open the reference editor for that reference to show.


Version: unspecified
Severity: normal

bzimport set Reference to bz51689.
gpaumier created this task.Via LegacyJul 19 2013, 4:18 PM
PamD added a comment.Via ConduitAug 1 2013, 8:38 AM

I'd urge this to be a higher priority: how do we expect people to create good new articles, even a well-cited stub, if they can't use the same reference for more than one point? They get offered a "reuse a reference" button, but it doesn't work: seriously bad news. The confused editor then has several choices: (a) don't give the extra reference(s) they think are appropriate, dumbing down the article; (b) re-input the reference each time they want to use it; (c) stop editing in VE and go into Edit Source (if they're lucky enough to be an established editor who knows about it and has learned how to use it ... not for newbies according to current ideas); (d) curse and swear and givve up trying to create their article and probably abandon editing Wikipedia altogether.

John_Broughton added a comment.Via ConduitAug 1 2013, 11:15 PM

I can think of possible two reasons why this bug has not been given high priority:

(1) Those unfamiliar with creating or substantially expanding Wikipedia articles don't think that this is a big deal. They are wrong - it IS a big deal. Not been able to cite the same source two or more times in an article, which is exceptionally common, causes all the problems noted by Pam, above.

or (2) VE's fundamental architecture prevents it from adding footnotes created during an editing session to the list of footnotes that existed prior to that session, and if this were listed as a high-priority bug, that design mistake might be much more obvious.

I really, really hope that the answer is not (2), because if so, that's a deal-breaker. The lack of such functionality is certainly, in and of itself, reason to NOW recommend that anyone writing a new article *not* do so in VE. (And, no, it's not acceptable to do everything but the footnotes in VE, then do footnotes with the wikitext editor - users absolutely should be footnoting their text additions with citations, *as they go along*, if only for efficiency.)

Jdforrester-WMF added a comment.Via ConduitAug 2 2013, 1:22 AM

(In reply to comment #2)

I can think of possible two reasons why this bug has not been given high
priority:

You forgot option 3: We hadn't got to this bug report yet (aka, "AGF"). :-)

Now marked appropriately.

PamD added a comment.Via ConduitAug 2 2013, 7:04 AM

So bug reports are taking 2 weeks to be assessed and assigned? That sounds like bad news. Glad to see it's now "highest", thanks. I'm amazed it took so long to be reported as a bug, and suspect it's because the experience of adding refs has been so dreadful that people haven't picked up on this specific aspect to report as a distinctive bug. Good luck.

gerritbot added a comment.Via ConduitAug 30 2013, 6:01 PM

Change 81964 had a related patch set uploaded by Trevor Parscal:
Bug 52000 - Reusing new reference groups

https://gerrit.wikimedia.org/r/81964

Jdforrester-WMF added a comment.Via ConduitAug 30 2013, 7:10 PM

Now fixed in master and will be deployed next week.

gerritbot added a comment.Via ConduitAug 30 2013, 7:12 PM

Change 81964 merged by jenkins-bot:
Re-build reference search index so they can be used mid-edit

https://gerrit.wikimedia.org/r/81964

Elitre added a comment.Via WebMay 22 2015, 12:17 PM

This is still the case for references added inside a table though?

Add Comment